Metasploit::Cache Build StatusCode ClimateCoverage StatusDependency StatusGem VersionInline docsPullReview stats

Cache of Metasploit Module metadata, architectures, platforms, references, and authorities that can persist between reboots of metasploit-framework and Metasploit applications

Installation

Add this line to your application's Gemfile:

gem 'metasploit-cache'

And then execute:

$ bundle

This gem's Rails::Engine is not required automatically. You'll need to also add the following to your config/application.rb:

require 'metasploit/cache/engine'

Or install it yourself as:

$ gem install metasploit-cache

Usage

In a Rails application, Metasploit::Cache acts a Rails Engine and the models are available to the application just as if they were defined under app/models. If your Rails appliation needs to modify the models, this can be done using metasploit-concern.

Testing

With metasploit-framework

rm Gemfile.lock
bundle install
rake spec

Without metasploit-framework

rm Gemfile.lock
bundle install --without content
rake spec

Contributing

See CONTRIBUTING.md